Loading...
Searching...
No Matches
casacore::MSFieldGram_global_functions_MSFieldGramFunctions Struct Reference
ms package (libcasa_ms) » MSSel_module » MSSel_module_internal_classes

More...

`#include <MSFieldGram.h>`

## Public Member Functions

TableExprNode | msFieldGramParseCommand (const MSField &fieldSubTable, const TableExprNode &colAsTEN, const String &command, Vector< Int > &)
| Declare the bison parser (is implemented by bison command).
TableExprNode | baseMSFieldGramParseCommand (MSFieldParse *parser, const String &command, Vector< Int > &)
void | MSFieldGramerror (const char *)
| The yyerror function for the parser.
const TableExprNode * | msFieldGramParseNode ()
| Give the table expression node.
void | msFieldGramParseDeleteNode ()
Int & | msFieldGramPosition ()
| Give the current position in the string.
int | msFieldGramInput (char *buf, int max_size)
| Declare the input routine for flex/bison.

## Detailed Description

Global functions for flex/bison scanner/parser for MSFieldGram

### Intended use:

Internal

### Prerequisite

- MSFieldGram.l and.y (flex and bison grammar)

### Synopsis

Global functions are needed to define the input of the flex scanner and to start the bison parser. The input is taken from a string.

### Motivation

It is necessary to be able to give an image expression in ASCII. This can be used in glish.

Definition at line 71 of file MSFieldGram.h.

## Member Function Documentation

## baseMSFieldGramParseCommand()

TableExprNode casacore::MSFieldGram_global_functions_MSFieldGramFunctions::baseMSFieldGramParseCommand | ( | MSFieldParse * | parser,
|  | const String & | command,
|  | Vector< Int > & | )

## MSFieldGramerror()

void casacore::MSFieldGram_global_functions_MSFieldGramFunctions::MSFieldGramerror | ( | const char * |  | ) |

The yyerror function for the parser.

It throws an exception with the current token.

## msFieldGramInput()

int casacore::MSFieldGram_global_functions_MSFieldGramFunctions::msFieldGramInput | ( | char * | buf,
|  | int | max_size )

Declare the input routine for flex/bison.

## msFieldGramParseCommand()

TableExprNode casacore::MSFieldGram_global_functions_MSFieldGramFunctions::msFieldGramParseCommand | ( | const MSField & | fieldSubTable,
|  | const TableExprNode & | colAsTEN,
|  | const String & | command,
|  | Vector< Int > & | )

Declare the bison parser (is implemented by bison command).

TableExprNode msFieldGramParseCommand (const MeasurementSet *ms, const String& command); TableExprNode msFieldGramParseCommand (MSSelectableTable *ms, const String& command,Vector<Int>&); TableExprNode msFieldGramParseCommand (const MeasurementSet *ms, const String& command,Vector<Int>&);

## msFieldGramParseDeleteNode()

void casacore::MSFieldGram_global_functions_MSFieldGramFunctions::msFieldGramParseDeleteNode | ( |  | ) |

## msFieldGramParseNode()

const TableExprNode * casacore::MSFieldGram_global_functions_MSFieldGramFunctions::msFieldGramParseNode | ( |  | ) |

Give the table expression node.

## msFieldGramPosition()

Int & casacore::MSFieldGram_global_functions_MSFieldGramFunctions::msFieldGramPosition | ( |  | ) |

Give the current position in the string.

This can be used when parse errors occur.

The documentation for this struct was generated from the following file:

- ms/MSSel/MSFieldGram.h